//const { __, _x, _n, _nx } = wp.i18n;
jQuery(document).ready(function($){
/*
var cabecera = __('Confirmación requerida','nichecreator');
var contenido = __( 'Vas a lanzar el proceso de carga del fichero CSV en la base de datos. Dependiendo del número de entradas el proceso puede ser más o menos largo. Verás un indicador de proceso y podrás saber cuando ha terminado la carga. Aunque salgas de la página el proceso seguirá su curso.', 'nichecreator' );
$("body").append("<div id='dialog' title='"+cabecera+"'>"+contenido+"</div>");
var resul = $("#dialog").dialog({
      buttons : {
        "Confirm" : function() {
        $(this).dialog("close");
        ejecutarfuncion(true);
  	 },
        "Cancel" : function() {
          $(this).dialog("close");
        }
      }
    });
*/
$("#borrar").css('display','block');
$('.botonsubmit').prop("disabled", true);
ejecutarfuncion(true);


function ejecutarfuncion(resultado)
{
var callAjax = function(){    
$.ajax({
url:obj.ajaxurl,
method:'POST',
dataType: 'json',
data:
{
      action: 'obtener_categorias',
      offset: obj.offset,
      contador: obj.contador,
      nonce: obj.nonce
   },
success:function(data){
		if (typeof data.porcentaje !== 'undefined') 
		{
		if (data.porcentaje == 0)
			data.porcentaje = 1;
		$("#myBar").css("width",data.porcentaje+"%");
		$("#myBar").html(data.porcentaje+"%");
		$("#resultadocarga").html(data.content);
		}
		if (data.status == 'complete')
			{
			$("#borrar").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'canceled')
			{
			$("#borrar").css('display','none');
			$("#resultadocarga").css('display','none');
			$("#myProgress").css('display','none');
			clearInterval(callAjax);
			/*location.reload();*/
			}
		if (data.status == 'failed')
			{
			$("#borrar").css('display','none');
			$("#myBar").css("width",data.porcentaje+"%");
			$("#myBar").html(data.porcentaje+"%");
			$("#resultadocarga").html(data.content);
			clearInterval(callAjax);
			}
}
});
}
setInterval(callAjax,2000);
}
});
